MESH-CFGCLIENT:(1)

NAME
mesh-cfgclient: - generate tool a mesh configuration file in JSON format

DESCRIPTION
mesh-cfgclient: - generate tool a mesh configuration file in JSON format Usage:

    mesh-cfgclient [--options] [commands]

OPTIONS

--config
    Configuration file

--address-start
    Starting unicast address for remote nodes

--address-range
    Net index for provisioning subnet

--net-index
    (null)

--monitor
    Enable monitor output

--timeout
    Timeout in seconds for non-interactive mode

--version
    Display version

--help
    Display help

  Commands:

create
    Create new mesh network with one initial node

discover-unprovisioned
    Look for devices to provision

appkey-create
    Create a new local AppKey

appkey-import
    Import a new local AppKey

appkey-update
    Update local AppKey

appkey-delete
    Delete local AppKey

subnet-create
    Create a new local subnet (NetKey)

subnet-import
    Import a new local subnet (NetKey)

subnet-update
    Update local subnet (NetKey)

subnet-delete
    Delete local subnet (NetKey)

subnet-set-phase
    Set subnet (NetKey) phase

list-unprovisioned
    List unprovisioned devices

provision
    Initiate provisioning

node-import
    Import an externally provisioned remote node

list-nodes
    List remote mesh nodes

keys
    List available keys